Name:		touchegg
Version:	2.0.16
Release:	%mkrel 2
Summary:	Multi-touch gestures recognizer
Group:		Graphical desktop/Other
License:	GPLv3
URL:		https://github.com/JoseExposito/touchegg
Source0:	%{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:	cmake
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libinput)
BuildRequires:	pkgconfig(libudev)
BuildRequires:	pkgconfig(pugixml)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xi)
BuildRequires:	pkgconfig(xrandr)
BuildRequires:	pkgconfig(xtst)
BuildRequires:	pkgconfig(systemd)
BuildRequires:	libstdc++-static-devel

Obsoletes:	touchegg-gui < 0.3-11

%description
Touchégg is an app that runs in the background and transform the gestures you
make on your touchpad or touchscreen into visible actions in your desktop.

For example, you can swipe up with 3 fingers to maximize a window or swipe left
with 4 finger to switch to the next desktop.

Many more actions and gestures are available and everything is easily
configurable.

%prep
%autosetup

%build
%cmake
%cmake_build

%install
%cmake_install

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%files
%license COPYING COPYRIGHT
%doc README.md CHANGELOG.md
%config(noreplace) %{_sysconfdir}/xdg/autostart/%{name}.desktop
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_unitdir}/%{name}.service


%changelog
* Sun Jun 11 2023 daviddavid <daviddavid> 2.0.16-2.mga9
+ Revision: 1961717
- convert to use our systemd service macros

* Mon Feb 20 2023 daviddavid <daviddavid> 2.0.16-1.mga9
+ Revision: 1944200
- new version: 2.0.16

* Sat Feb 04 2023 daviddavid <daviddavid> 2.0.15-2.mga9
+ Revision: 1938040
- drop very old Qt4 touchegg-gui package

* Fri Feb 03 2023 daviddavid <daviddavid> 2.0.15-1.mga9
+ Revision: 1937992
- new version: 2.0.15
- switch to GTK3 instead of Qt
+ neoclust <neoclust>
- New version 2.0.14

* Sun Apr 03 2022 umeabot <umeabot> 1.1-10.mga9
+ Revision: 1841332
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 1.1-9.mga8
+ Revision: 1517452
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 1.1-8.mga7
+ Revision: 1301444
- Mageia 7 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 1.1-7.mga6
+ Revision: 939735
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1-6.mga5
+ Revision: 748323
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1-5.mga5
+ Revision: 689932
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.1-4.mga4
+ Revision: 519689
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.1-3.mga3
+ Revision: 384717
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 13 2013 fwang <fwang> 1.1-2.mga3
+ Revision: 369308
- add br

* Fri Aug 24 2012 matteo <matteo> 1.1-1.mga3
+ Revision: 283698
- imported package touchegg

